Bug 9883 - ping -c option does terminate if destination is unreachable
ping -c option does terminate if destination is unreachable
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: iputils (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-01 04:45 EST by Debasis
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-05 12:31:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Debasis 2000-03-01 04:45:34 EST
ping command comes with Readhat 6.1 does not terminate with -c option while
the command comes with 6.0 terminate after given packets trasfered in case
of unreachable or reachable host.

for testing i used:

ping -c 2 1.1.1.1     (where 1.1.1.1 is a bogus IP. )

the ping din't terminate ...but man page says it should.

debasis
debasis@vol.net.in
Comment 1 Jeff Johnson 2000-03-05 12:31:59 EST
The behavior of ping has changed, you need to specify both "-c <npackets>"
and "-w <nsecs>" to terminate ping with an unreachable host.

Look for iputils-20000120-1 (the package that now contains ping) in Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.